### Method

# ICalGLib Component get_first_real_component

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_get_first_real_component (
      ICalComponent* c
    )

#### Description [src]

For VCOMPONENT: Returns a reference to the first VEVENT, VTODO or VJOURNAL.

Available since: 1.0

#### Return value

Type: `ICalComponent`

A reference to the first VEVENT, VTODO or VJOURNAL.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.